{{ define "main" }}
<div class="container" role="main">
  <div class="col-lg-8 col-lg-offset-2 col-md-10 col-md-offset-1">
      {{ partial "breadcrumb.html" . }}
  </div>
  <div class="col-lg-8 col-lg-offset-2 col-md-10 col-md-offset-1">
  {{ .Content }}

      <table class="contents" id="languages">
          <caption>Click on columns headers to sort values</caption>
      <tr>
          <th onclick="sortTable(0)">code</th>
          <th onclick="sortTable(1)">English name</th>
          <th onclick="sortTable(2)">Local name</th>
          <th onclick="sortTable(3)">Progress</th>
      </tr>
      {{ range sort .Pages "Title" "asc" }}
        <tr>
            <td><a href="{{ .Permalink }}">{{ .Params.code }}</a></td>
            <td>{{ .Params.name_english }}</td>
            <td>{{ .Params.name_local }}</td>
            <td>{{ .Params.progress_d }}</td>
        </tr>
      {{ end }}
    </table>
  </div>
</div>
<script>
function sortTable(n) {
  var table, rows, switching, i, x, y, shouldSwitch, dir, switchcount = 0;
  table = document.getElementById("languages");
  switching = true;
  // Set the sorting direction to ascending:
  dir = "asc";
  /* Make a loop that will continue until
  no switching has been done: */
  while (switching) {
    // Start by saying: no switching is done:
    switching = false;
    rows = table.rows;
    /* Loop through all table rows (except the
    first, which contains table headers): */
    for (i = 1; i < (rows.length - 1); i++) {
      // Start by saying there should be no switching:
      shouldSwitch = false;
      /* Get the two elements you want to compare,
      one from current row and one from the next: */
      x = rows[i].getElementsByTagName("TD")[n];
      y = rows[i + 1].getElementsByTagName("TD")[n];
      /* Check if the two rows should switch place,
      based on the direction, asc or desc: */
      if (dir == "asc") {
        if (x.innerHTML.toLowerCase() > y.innerHTML.toLowerCase()) {
          // If so, mark as a switch and break the loop:
          shouldSwitch = true;
          break;
        }
      } else if (dir == "desc") {
        if (x.innerHTML.toLowerCase() < y.innerHTML.toLowerCase()) {
          // If so, mark as a switch and break the loop:
          shouldSwitch = true;
          break;
        }
      }
    }
    if (shouldSwitch) {
      /* If a switch has been marked, make the switch
      and mark that a switch has been done: */
      rows[i].parentNode.insertBefore(rows[i + 1], rows[i]);
      switching = true;
      // Each time a switch is done, increase this count by 1:
      switchcount ++;
    } else {
      /* If no switching has been done AND the direction is "asc",
      set the direction to "desc" and run the while loop again. */
      if (switchcount == 0 && dir == "asc") {
        dir = "desc";
        switching = true;
      }
    }
  }
}
</script>
{{ end }}